<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Attributes and Links</title>
</head>
<body>
	<h2 id="top">HTML Attributes</h2>

	<p align="center"><em>Modifiers of element behavoirs.</em></p>
	<!-- align attribute changes the alignment pf the paragraph element-->

	<h2>HTML Images</h2>
	<p align="right"><em>An image can be shown using &lt;img&gt; tag along with its <strong>src</strong> attribute.</em></p>
	<!--&lt;   - less than sign  -->
	<!--&gt;   - greater than sign  -->


	<!-- adds image using 
		ABSOLUTE LINK - from internet -->
	<!-- <img src="https://place-puppy.com/300x300" alt="This is a photo of a puppy."> -->
	
	<!-- src    - source -->
	<!-- alt    -alternative -->

	<!-- HTML tags wrapped inside an anchor will become clickable -->

	<a href="https://place-puppy.com/300x300" target="_blank"><img src="https://place-puppy.com/300x300"></a>

	<p>
		<code>&lt;img src=""https://place-puppy.com/300x300"&gt;</code>
		<!-- <code>     - font style like code. -->
	</p>

	<!-- adds  an image using 
		RELATIVE LINK - from local folder -->
		<!-- ./        - traverse in/going in -->
		<img src="./images/zuitt.png">

	<p>
		<code>&lt;img src="./images/zuitt.png"&gt;</code>
	</p>

	<p>Valid image extension are the following:</p>

	<ol type="a" reversed="">
		<li>png</li>
		<li>jpg or jpeg</li>
		<li>gif</li>
		<li>svg</li>
		<li>webp</li>
	</ol>

	<h2>HTML Links</h2>
	<h4>Absolute link</h4>

	<a href="https://zuitt.co" target="_blank">I am  a hyperlink.</a>
	<!-- target="_blank"     - open in new tab -->


	<h4>Relative link</h4>

	<p>Go to <a href="./link.html">link.html</a> page.</p>

	<p>Go to <a href="./images/index.html">images>index.html</a></p>


	<!-- riderect HTML page to the top id attribute -->
	<p>Go to <a href="#top">top</a>.</p>
	<!-- #top       - id name -->

</body>
</html>